Permalink
Browse files

Update README.md a little bit

  • Loading branch information...
1 parent cd2a4db commit 737e911fb87991151ea3efc0b59951e06f68969f @iXce iXce committed Aug 15, 2013
Showing with 4 additions and 4 deletions.
  1. +4 −4 README.md
  2. 0 requirements.txt → requirements_prontserve.txt
View
@@ -28,7 +28,7 @@ A precompiled version is available at http://koti.kapsi.fi/~kliment/printrun/
You can run Printrun directly from source, as there are no packages available yet. Fetch and install the dependencies using
1. `sudo apt-get install python-serial python-wxgtk2.8 python-pyglet python-tornado python-setuptools python-libxml2 python-gobject avahi-daemon libavahi-compat-libdnssd1`
-2. `pip install -r requirements.txt`
+2. `pip install -r requirements_prontserve.txt`
### Fedora 17 and newer
@@ -49,7 +49,7 @@ You can also run Printrun directly from source, if the packages are too old for
To enable Prontserve you need to also install something along the following
lines. Unforunately this has yet to be tested on a real Fedora system:
1. `sudo yum install avahi avahi-python`
-2. `pip install -r requirements.txt`
+2. `pip install -r requirements_prontserve.txt`
### Archlinux
@@ -241,11 +241,11 @@ To use pronterface, you need:
* python (ideally 2.6.x or 2.7.x),
* pyserial (or python-serial on ubuntu/debian)
- * pyglet
- * numpy (for 3D view)
* pyreadline (not needed on Linux) and
* argparse (installed by default with python >= 2.7)
* wxPython (some features such as Tabbed mode work better with wx 2.9)
+ * pyglet
+ * numpy (for 3D view)
* pycairo (to use Projector feature)
* cairosvg (to use Projector feature)
File renamed without changes.

0 comments on commit 737e911

Please sign in to comment.